

<?php 
ini_set('max_execution_time', 0); //300 seconds = 5 minutes 
date_default_timezone_set("Asia/Bangkok");
// echo $_SESSION['company_id'];
include('../include/connectDB.php'); 
include('../include/connectDB_Bill.php'); 

$currentdate = date('Y-m-d');

$yearY = date("Y"); 
$yearM = date("m"); 
$yearD = date("d");
$htime = date("H:i:sa"); 
$current_time = $yearD.'.'.$yearM.'.'.($yearY+543);
$s_trime = $yearY.$yearM.$yearD;
$DateStart=date($s_trime);
$strtime = strtotime($DateStart);
$caltime=strtotime("-2 Month",$strtime);
$ResultDate=date("Y-m-d", $caltime);
$yearY = substr(date("$ResultDate"), 0,-6); 
$yearM = substr(date("$ResultDate"), 5,-3); 
$yearD = substr(date("$ResultDate"), -2); 
$s_trime = $yearD.'.'.$yearM.'.'.($yearY+543);  
// $s_trime = "20.05.2564"; 
?>


<?php

$sql_del = "DELETE from SITEA_BILLOWNER";
    $stm_del = sqlsrv_prepare ($ConnYS, $sql_del);
        if (!$stm_del) {
            throw new Exception("sql_del  BILLOWNER#". $sql_del); 
        }
        if (!sqlsrv_execute($stm_del)) {
            throw new Exception("sql_del นำเข้า BILLOWNER ไม่สำเหร็จ#" . $sql_del);
        }

sqlsrv_commit($ConnYS);

$sql1 = " SELECT
            RUNNO
            ,BILL_OWNERCODE
            ,BILL_OWNERNAME
            ,BR_CODE
            ,REF_OWNERCODE
            from  SITEA_BILLOWNER "; 
        // where doc_date between '20.05.2563' and '20.06.2564' 
// echo $sql1;
$rst1 = ibase_query($connFB, $sql1);
// die("Stop");
$x = 0;
while($arr1         = ibase_fetch_assoc($rst1)) {
   
    $RUNNO                      = $arr1["RUNNO"];
    $BILL_OWNERCODE             = $arr1["BILL_OWNERCODE"];
    $BILL_OWNERNAME             = $arr1["BILL_OWNERNAME"];
    $BR_CODE                    = $arr1["BR_CODE"];
    $REF_OWNERCODE              = $arr1["REF_OWNERCODE"];
    
        if ($ConnYS) {
            sqlsrv_begin_transaction($ConnYS);
                try {

                     $sql_brname = "INSERT into  SITEA_BILLOWNER (RUNNO ,BILL_OWNERCODE ,BILL_OWNERNAME ,BR_CODE ,REF_OWNERCODE ) values ('".$RUNNO."', '".$BILL_OWNERCODE."', '".$BILL_OWNERNAME."', '".$BR_CODE."', '".$REF_OWNERCODE."') "; 
                        $stm_plan = sqlsrv_prepare ($ConnYS, $sql_brname);
                        if (!$stm_plan) {
                            throw new Exception("sql_brname  plan#". $sql_brname); 
                        }
                        if (!sqlsrv_execute($stm_plan)) {
                            throw new Exception("sql_brname นำเข้า plan ไม่สำเหร็จ#" . $sql_brname);
                        }
       
                        // sqlsrv_rollback($ConnYS);

                sqlsrv_commit($ConnYS);
                // echo "Success";
            } catch (Exception $ex) {
                sqlsrv_rollback($ConnYS);
                 sqlsrv_close($ConnYS);
                echo $ex."ไม่บันทึกดาต้าเบส";
            }
        }
        $x++;
    }


// echo "Success".$x;
echo "16";

write_text("SITEA_BILLOWNER",$current_time,$htime);
write_text2("....................................");

// function CONVERT_DATE543($VAL_DATE){
//   $key_vol = explode("-", $VAL_DATE);
//   $strY = trim($key_vol[0]);
//   $strM = trim($key_vol[1]);
//   $strD = trim($key_vol[2]);
//    $sub_y = substr($strY,0,2);
//    if($sub_y=="25"){
//       $resulte_date = ($strY-543).'-'.$strM.'-'.$strD;
//    }else{
//       $resulte_date = ($strY).'-'.$strM.'-'.$strD;
//    }
// return $resulte_date;
// }
// function CONVERT_DATE($VAL_DATE){
//   $key_vol = explode("-", $VAL_DATE);
//       $strY = trim($key_vol[0]);
//       $strM = trim($key_vol[1]);
//       $strD = trim($key_vol[2]);
//   $resulte_date = $strY.'-'.$strM.'-'.$strD;   
// return $resulte_date;
// }

function write_text($SITEA_BILLOWNER,$current_time,$htime){
    $t_string = "$SITEA_BILLOWNER".'  '."$current_time".' '."$htime";
    $strFileName = "LogSynDB.txt";
    $objFopen = fopen($strFileName, 'a');
    $strText1 = "$t_string\r\n";
    fwrite($objFopen, $strText1);
}

function write_text2($text){
  $t_string = "$text";
    $strFileName = "LogSynDB.txt";
    $objFopen = fopen($strFileName, 'a');
    $strText1 = "$t_string\r\n";
  fwrite($objFopen, $strText1);
}
                
 ?>
	







